Magento 1 End of Life Announcement

Magento has announced that it is ending support for all versions of its Magento 1 ecommerce platform, including all future quality fixes and security patches, as of June 30, 2020.

You must migrate to Magento 2 or another platform before June 30, 2020, if you are currently integrated with Magento 1.
 
Consequences of not migrating:
  • Increased risk of data breaches, with possible damage to your brand and reputation.
  • Exposure of becoming a security target without any upgrade or security patches.
  • Falling out of compliance with Payment Card Industry Data Security Standards (PCI DSS). These global standards are set by card entities and apply to all merchants that process payments.
Requirement 6 of the PCI DSS requires merchants to "develop and maintain secure systems and applications by installing applicable vendor-supplied security patches." Without future security patches, Magento 1 merchants will no longer be able to meet this requirement, which could result in costly and time-consuming remediation.

This is not a PayPal-specific requirement. PCI DSS requirements apply to your integrations with card payment brands, such as Visa, MasterCard, American Express, Discover, JCB, and any other payment processor on the Magento 1 platform. Visa has stressed that urgent action is required for merchants to migrate from Magento 1 and advised merchants to be aware of their responsibilities in securing their environment to help prevent the loss of payment card data. 

Please review the Magento Commerce Software End of Support FAQ here.
 
Migrate now to Magento 2 or another Partner.
 

What do I need to do?

If you are currently using Magento 1, you must do one of the following by June 30, 2020:
 

Migrate to the Magento 2 platform

Or migrate to another platform

  • See our Partners page for a list of system integrators and e-commerce solution providers.

FAQs

Q: Which versions of Magento 1 are impacted?

A: All versions of Magento 1 are impacted, including Magento Commerce 1 (formerly known as Enterprise Edition) and Magento Open Source 1 (formerly known as Community Edition).

Q: What happens if I continue using Magento 1 after June 30, 2020?

A: On July 1, 2020, your Magento 1.x platform will no longer be supported by Magento, which includes providing security patches critical to maintaining compliance with the Payment Card Industry Data Security Standards (PCI DSS). The global PCI DSS standards require each entity to “develop and maintain secure systems and applications by installing applicable vendor-supplied security patches.” Because Magento is no longer providing security patches, your integration may become more vulnerable to attacks, potentially resulting in impacts on your brand reputation, as well as potential financial impact. 

This is not a PayPal-specific requirement. PCI DSS requirements apply to your integrations with card payment brands, such as Visa, MasterCard, American Express, Discover, JCB, and any other payment processor on the Magento 1 platform. Visa has stressed that urgent action is required for merchants to migrate from Magento 1 and advised merchants to be aware of their responsibilities in securing their environment to help prevent the loss of payment card data.  
 
Magento Association, a separate entity from Magento, has published the following links providing merchants additional information and resources around the call to action for the upcoming June 30th deadline.   
  1. Magento 1 EOL Blog Post 
  2. Magento 1 Post-EOL resources 

Please review the Magento Commerce Software End of Support FAQ here.

Q: If I get the security patches, does that mean I’m compliant? 

A:  The security patches are one step towards ensuring meeting PCI compliance but do not necessarily equal PCI compliance.We strongly encourage migration from Magento 1 before July 1.

Steps you can take to ensure business continuity and no risk to your business or cardholders include migrating off Magento 1 or to ensure applying the security patches, and other actions such as passing PCI reviews with a Qualified Security Assessor (QSA).


Q: What is the cost of migrating to Magento 2?  

A: It depends on the size of your site and the complexity of the build.  We recommend reaching out to Magento. You may also contact System Integrators to discuss pricing options. 

 
Q: How long does it take to migrate to Magento 2 or a new platform?  

A: This is dependent on the requirements of your site, and the ecommerce platform you’re choosing to move to migration can take a matter of weeks, to several months.  We recommend kicking off your migration project as soon as possible.   
 

Q: What is the cost of the other platforms?  

A: It depends on the size of your site and the complexity of the functionality you want to develop.  You will need to contact the one that is the right fit for your business.  


Q: Does this only affect PayPal merchants?

A. No, all payment processing companies, including Visa, are following the same guidance and urgently advising their Magento 1 merchants to migrate to Magento 2 or another platform.

Q: How do I validate my PCI compliance?

A: The PCI Security Standards site provides a Self-Assessment Questionnaire (SAQ) that you can complete to validate your PCI compliance. One of the requirements of the SAQ form is to install vendor-supplied security patches within one month of release. Because Magento is no longer providing security patches after June 30, 2020, you will no longer be able to comply with Requirement 6, stating that you "develop and maintain secure systems and applications by installing applicable vendor-supplied security patches".

Q: Is there a chance the date will extend beyond June 30, especially given the COVID-19 situation?

A: No, Magento has already extended the deadline 18 months from November 2018 to enable merchants time to upgrade. Magento has confirmed that they will stop all support for Magento 1 as of June 30, 2020.

Q: If PayPal processes my card data, do I still need to comply?

A: Yes, even if you outsource part of your PCI DSS compliance to PayPal, you are still required to install security patches within one month of release, which will no longer be possible after June 30, 2020. In addition to these patches, merchants are responsible for meeting all requirements of their PCI DSS compliance.

Q: What resources are available to help me maintain PCI compliance?

A: PayPal has engaged with select System Integrator Partners to help you migrate to Magento 2.

Q: What are the alternate ecommerce solutions?

A: If you’re looking for alternate solutions, you can review our list of Ecommerce Solution Partners.

Q: Is PayPal providing migration support?

A: If you are based in the United States, you can apply for help to finance the move to Magento 2 Commerce Cloud through the Magento Migration Loan, a type of LoanBuilder Loan*, made available through PayPal.
* The lender for LoanBuilder Loan is WebBank, Member FDIC. This is an invitation to apply and not an offer or commitment to provide capital. Applicants must satisfy certain requirements to be eligible. WebBank is not affiliated with the offer to receive a full credit on the cost of financing and the credit is not part of your credit agreement with WebBank.

Q: What other resources are available?

A: You may find additional information from Magento at:

We’ll use cookies to improve and customize your experience if you continue to browse. Is it OK if we also use cookies to show you personalized ads? Learn more and manage your cookies